notifyByReturn
POST
/notifyByReturnCreate external transaction notifying via standard return redirection.
Header Parameters
token*
stringBody Parameters
merchantAuthentication
merchantId*
stringtransactionReferenceId*
stringtransactionRequest
transactionType*
numberamount*
stringcalculateFee
booleantipsInputPrompt
booleancalculateTax
booleanexpiry
numbertipAmount
stringfeeAmountC
stringfeeLabelC
stringlTaxAmountC
stringlTaxLabelC
stringgTaxAmountC
stringgTaxLabelC
stringnotificationOption
notifyByRedirect*
booleanreturnUrl
stringfailureUrl
stringcancelUrl
stringpreferences
integrationType*
numberavsVerification
booleaneReceipt
booleaneReceiptInputPrompt
booleancustomerName
stringcustomerEmail
stringcustomerMobile
stringrequestCardToken
booleanshortenURL
booleansendPaymentLink
booleanintegrationVersion
stringlevel3CEDP
booleanpersonalization
merchantName
stringlogoUrl
stringthemeColor
stringdescription
stringpayNowButtonText
stringbuttonColor
stringcancelButtonText
stringdisclaimer
stringPOST/notifyByReturn
1curl --location 'https://payment.ipospays.tech/api/v3/external-payment-transaction' \
2--header 'token: ' \
3--header 'Content-Type: application/json' \
4--data '{
5 "merchantAuthentication": {
6 "merchantId": "",
7 "transactionReferenceId": ""
8 },
9 "transactionRequest": {
10 "transactionType": 1,
11 "amount": "",
12 "calculateFee": false,
13 "tipsInputPrompt": false,
14 "calculateTax": false,
15 "expiry": 1,
16 "tipAmount": "",
17 "feeAmount": "",
18 "feeLabel": "",
19 "lTaxAmount": "",
20 "lTaxLabel": "",
21 "gTaxAmount": "",
22 "gTaxLabel": ""
23 },
24 "notificationOption": {
25 "notifyByRedirect": true,
26 "returnUrl": "",
27 "failureUrl": "",
28 "cancelUrl": ""
29 },
30 "preferences": {
31 "integrationType": 1,
32 "avsVerification": false,
33 "eReceipt": false,
34 "eReceiptInputPrompt": false,
35 "customerName": "",
36 "customerEmail": "",
37 "customerMobile": "",
38 "requestCardToken": false,
39 "shortenURL": false,
40 "sendPaymentLink": false,
41 "integrationVersion": "",
42 "level3CEDP": ""
43 },
44 "personalization": {
45 "merchantName": "",
46 "logoUrl": "",
47 "themeColor": "",
48 "description": "",
49 "payNowButtonText": "",
50 "buttonColor": "",
51 "cancelButtonText": "",
52 "disclaimer": ""
53 }
54}'
Response
// Awaiting response…
Sample response
{
"message": "URL generated successfully",
"information": ""
}